VMware Identity Manager 中的 XenApp ICA 属性必须包括与在场中的 XenApp 服务器上配置的加密级别相同的加密属性,否则,用户将无法访问 Citrix 发布的应用程序或桌面。

用户从 VMware Identity Manager 连接到 Citrix 发布的资源时,显示以下错误消息。

您没有访问此会话的正确加密级别

VMware Identity Manager 未设置加密级别。如果在 XenApp 服务器上设置的加密级别高于 Citrix 接收器所使用的默认设置,用户将看到此错误。

您必须在 Workspace 中设置更高的加密级别。

过程

  1. 登录到管理控制台。
  2. 单击目录选项卡上的箭头,然后选择设置
  3. 选择 Citrix 发布的应用程序
  4. ICA 配置Netscaler ICA 配置选项卡中进行以下更改。
    1. 编辑 ICA 客户端属性文本框。要将加密级别设置为 128,请输入

      EncryptionLevelSession=EncRC5-128

    2. 编辑 ICA 启动属性文本框。要将加密级别设置为 128,请输入

      [EncRC5-128]

      DriverNameWin16=pdc128w.dll

      DriverNameWin32=pdc128n.dll